curl --request PATCH \
--url https://api.example.com/api/v2/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": null,
"last_name": null,
"account_role": "Account User",
"profile_picture": null,
"profile_color": null
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"account_role": "<string>",
"is_deleted": true,
"profile_picture": null,
"profile_color": null
}Modify a user’s name, role, or profile settings. Requires account admin role.
curl --request PATCH \
--url https://api.example.com/api/v2/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": null,
"last_name": null,
"account_role": "Account User",
"profile_picture": null,
"profile_color": null
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"account_role": "<string>",
"is_deleted": true,
"profile_picture": null,
"profile_color": null
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
UserResponse(id: uuid.UUID, email_address: str, first_name: str, last_name: str, account_role: str, is_deleted: bool, profile_picture: Optional[str] = None, profile_color: Optional[str] = None)